.bg-1 { background-image: url('Images/background1.jpg'); }
.bg-2 { background-image: url('Images/background2.jpeg'); }
.bg-3 { background-image: url('Images/background3.jpg'); }
.bg-4 { background-image: url('Images/background4.jpg'); }
.bg-5 { background-image: url('Images/background5.jpg'); }
.bg-6 { background-image: url('Images/background6.jpg'); }

body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  background-size: cover;
  background-position: center;
  transition: background-image 1s ease-in-out;
  background-color: black;
}

ul {
  list-style: none;
  text-align: left;
  line-height: 1.7;
}

html, body {
  overflow-x: hidden;
}

.content-wrapper {
  position: relative;
  width: 100%;
  background-size: cover;
  background-position: center;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 87vh;
  flex-direction: column;
}

.container-wrapper {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
}

.container {
  position: relative;
  display: none;
  width: 50%;
  text-align: center;
  padding: 20px;
  margin: 5px 0;
  border-radius: 10px;
  background: rgba(255, 255, 255, 0.15);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  border: 1px solid rgba(255, 255, 255, 0.3);
  max-height: 100vh;
  overflow-y: auto;
  transition: transform 0.3s ease-in-out;
  text-shadow: 0 0 5px white, 0 0 10px white, 0 0 15px white;
  margin-bottom: 160px;
}

.container.active {
  display: block;
  background: rgba(224, 247, 250, 0.2);
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
  border: 1px solid rgba(224, 247, 250, 0.4);
}

.container:hover {
  transform: scale(1.05);
  z-index: 5;
}

.nav-button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 60px;
  height: 100px;
  border-radius: 15px;
  cursor: pointer;
  transition: transform 0.3s ease-in-out;
  z-index: 10;
  background-color: white;
  border: 2px solid black;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.7);
  padding: 5px;
}

.nav-button:hover {
  transform: translateY(-50%) scale(1.1);
}

.prev-btn {
  left: 10px;
}

.next-btn {
  right: 10px;
}

.title {
  text-align: center;
  text-shadow: 2px 2px 4px rgba(255, 255, 255, 0.7);
  margin: 0 0 50px;
  white-space: nowrap;
  margin-top: 150px;
}

.footer {
  position: relative;
  width: 100%;
  background: rgba(0, 0, 0, 0.8);
  color: white;
  text-align: center;
  padding: 15px 0;
  font-size: 14px;
}

@media (max-width: 480px) {
  .content-wrapper {
    padding: 10px;
  }

  .container {
    width: 60%;
    margin: 20px 0;
    overflow: hidden;
  }

  .title {
    font-size: 20px;
    text-shadow: 2px 2px 4px rgba(255, 255, 255, 0.7);
  }

  .footer {
    font-size: 12px;
    padding: 10px 0;
  }

  .nav-button {
    width: 30px;
    height: 60px;
  }

  .nav-button:hover {
    transform: scale(1.1);
  }

  .prev-btn {
    left: 5px;
    top: 50%;
    transform: translateY(-65%);
  }

  .next-btn {
    right: 5px;
    top: 50%;
    transform: translateY(-50%);
  }
}
